--- old/usr/src/uts/common/crypto/io/sha2_mod.c	sam. juil. 16 15:13:47 2016
+++ new/usr/src/uts/common/crypto/io/sha2_mod.c	sam. juil. 16 15:13:47 2016
@@ -55,7 +55,7 @@
 };
 
 static struct modlinkage modlinkage = {
-	MODREV_1, &modlmisc, &modlcrypto, NULL
+	MODREV_1, { &modlmisc, &modlcrypto, NULL }
 };
 
 /*
@@ -190,26 +190,13 @@
 };
 
 static crypto_ops_t sha2_crypto_ops = {
-	&sha2_control_ops,
-	&sha2_digest_ops,
-	NULL,
-	&sha2_mac_ops,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	&sha2_ctx_ops,
-	NULL,
-	NULL,
-	NULL,
+	.co_control_ops = &sha2_control_ops,
+	.co_digest_ops = &sha2_digest_ops,
+	.co_mac_ops = &sha2_mac_ops,
+	.co_ctx_ops = &sha2_ctx_ops
 };
 
-static crypto_provider_info_t sha2_prov_info = {
+static crypto_provider_info_t sha2_prov_info = {{{{
 	CRYPTO_SPI_VERSION_4,
 	"SHA2 Software Provider",
 	CRYPTO_SW_PROVIDER,
@@ -218,7 +205,7 @@
 	&sha2_crypto_ops,
 	sizeof (sha2_mech_info_tab)/sizeof (crypto_mech_info_t),
 	sha2_mech_info_tab
-};
+}}}};
 
 static crypto_kcf_provider_handle_t sha2_prov_handle = NULL;
 
